

<?php

   


 $id = intval($_GET['id']);
 include '../comunes_php/cors.php';
    include '../rdb/conn.php';

    $sql= ' select count(0) from  vw_contratos c where ';
    // debe estar aprobado
    $sql.= ' estado_id > 1  and ';
    // debe ser un reclamo abierto o un contrato que aun no tenga programacion
    $sql.= ' (id in (select contrato_id from reclamos_contrato where fin_fecha is null) ';
    //$sql.= ' and c.tipo_envio_id=3  ';
    $sql.= ' or '; 
    $sql.= ' id not in  (select contrato_id from envios_detalle) ';
    $sql.= ' ) ';
    $sql.= ' order by DATE_FORMAT(ADDDATE(c.fecha_aprobado, INTERVAL c.demora DAY), "%Y %m %d") ,zona';
    
    $rs = mysqli_query( $conn,$sql);
    $row = mysqli_fetch_row($rs);
    $result["total"] = $row[0];
    
    
    $sql= ' select id,c.cliente,c.tipo_envio,c.cant_productos,c.horarios_en_semana,';
    $sql.= 'c.horarios_en_sabado,c.zona,c.direccion,DATE_FORMAT(c.fecha_aprobado, "%Y/%m/%d") faprobado,';
    $sql.= 'c.demora,DATE_FORMAT(ADDDATE(c.fecha_aprobado, INTERVAL c.demora DAY), "%Y/%m/%d") fentrega,saldo,comentarios from  vw_contratos c where ';
    $sql.= ' estado_id > 1  and ';
    // debe ser un reclamo abierto o un contrato que aun no tenga programacion
    $sql.= ' (id in (select contrato_id from reclamos_contrato where fin_fecha is null) ';
    //$sql.= ' and c.tipo_envio_id=3  ';
    $sql.= ' or '; 
    $sql.= ' id not in  (select contrato_id from envios_detalle) ';
    $sql.= ' ) ';
    $sql.= ' order by DATE_FORMAT(ADDDATE(c.fecha_aprobado, INTERVAL c.demora DAY), "%Y %m %d") ,zona';
    
     

    $rs = mysqli_query( $conn,$sql);

    


    $items = array();
    while($row = mysqli_fetch_object($rs)){
        array_push($items, $row);
    }
    $result["rows"] = $items;
    $result["sql"] = $sql;
  
    
    echo json_encode($result);

?>